T3DDatafield< T >::Range Class Reference

a shortcut data type More...

`#include <mia/3d/datafield.hh>`

## Public Types

typedef T3DDatafield< T >::range_iterator | iterator

## Public Member Functions

iterator | begin ()
iterator | end ()

## Friends

class | ConstRange
class | T3DDatafield< T >

## Detailed Description

template<class T>
class T3DDatafield< T >::Range

a shortcut data type

This class provides access to a sub-range of the input data field

This class provides iterator access to a axis-aligned 3D sub-range of the corresponding data field.

Definition at line 135 of file 3d/datafield.hh.

## Member Typedef Documentation

## iterator

template<class T>

typedef T3DDatafield<T>::range_iterator T3DDatafield< T >::Range::iterator

Definition at line 141 of file 3d/datafield.hh.

## Member Function Documentation

## begin()

template<class T>

iterator T3DDatafield< T >::Range::begin | ( |  | ) |

## end()

template<class T>

iterator T3DDatafield< T >::Range::end | ( |  | ) |

References end(), and T3DDatafield< T >::T3DDatafield().

Referenced by end().

## Friends And Related Symbol Documentation

## ConstRange

template<class T>

friend class ConstRange

friend

Definition at line 138 of file 3d/datafield.hh.

References ConstRange.

Referenced by ConstRange.

## T3DDatafield< T >

template<class T>

friend class T3DDatafield< T >

friend

Definition at line 540 of file 3d/datafield.hh.

The documentation for this class was generated from the following file:

- 3d/datafield.hh